com.sun.syndication.io.impl

## Class FeedGenerators

- java.lang.Object
- - com.sun.syndication.io.impl.PluginManager
  - - com.sun.syndication.io.impl.FeedGenerators

    public class FeedGenerators
    extends PluginManager

Generates an XML document (JDOM Document) out of a Feed.

It can generate all flavors of RSS (0.90, 0.91, 0.92, 0.93, 0.94, 1.0 and 2.0) and Atom 0.3 feed.

WireFeedGenerator instances are thread safe.

Generators for a specific type must extend this class and register in the generator list. (Right now registration is hardcoded in the WireFeedGenerator constructor).

### Field Summary

Fields
`static java.lang.String` `FEED_GENERATORS_KEY` WireFeedGenerator.classes= [className] ...

### Constructor Summary

Constructors
Constructor and Description
`FeedGenerators()`

### Method Summary

Methods
`WireFeedGenerator` `getGenerator(java.lang.String feedType)`
`protected java.lang.String` `getKey(java.lang.Object obj)`
`java.util.List` `getSupportedFeedTypes()`

### Methods inherited from class com.sun.syndication.io.impl.PluginManager

`getKeys, getPlugin, getPluginMap, getPlugins`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FEED_GENERATORS_KEY

    public static final java.lang.String FEED_GENERATORS_KEY

WireFeedGenerator.classes= [className] ...

See Also:
  Constant Field Values

### Constructor Detail

#### FeedGenerators

    public FeedGenerators()

### Method Detail

#### getGenerator

    public WireFeedGenerator getGenerator(java.lang.String feedType)

#### getKey

    protected java.lang.String getKey(java.lang.Object obj)

Specified by:
  `getKey` in class `PluginManager`

#### getSupportedFeedTypes

    public java.util.List getSupportedFeedTypes()